<?php

namespace Webkul\SalesforceConnector\Block\Adminhtml\System;

use Magento\Framework\View\Element\Template;

/**
 * Class Progress
 */
class Progress extends Template
{
    /**
     * @var string
     */
    protected $_template = 'Webkul_SalesforceConnector::system/progress.phtml';

    /**
     * @return string
     */
    public function getExportIdsEndpoint() : string
    {
        return $this->getUrl($this->getData('export_ids_endpoint'));
    }

    /**
     * @return string
     */
    public function getExportEndpoint() : string
    {
        return $this->getUrl($this->getData('export_endpoint'));
    }

    /**
     * @return string
     */
    public function getReturnUrl() : string
    {
        return $this->getUrl($this->getData('return_url'));
    }

    /**
     * @return string
     */
    public function getSyncType() : string
    {
        return $this->getData('sync_type');
    }
}