define([
    'jquery',
    'mage/translate'
], function ($, $t){
    'use strict';

    $.widget('sfconnector.bulkExport', {
        _create: function(){
            this.initializeButtons();
        },

        initializeButtons: function(){
            $.each(this.options.sync, (key, config) => {
                let element = $(config.selector);

                let button = $('<button/>')
                    .addClass('scalable')
                    .addClass('primary')
                    .html(element.html());

                button.insertAfter(element);
                element.remove();

                button.on('click', function(evt){
                    evt.preventDefault();

                    window.location.href = config.progress_url;

                    return false;
                });
            });
        }
    });

    return $.sfconnector.bulkExport;
})